petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecScatterSetType

Builds a vector scatter, for a particular vector scatter implementation.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecScatterSetType(VecScatter vscat, VecScatterType type)

Collective on VecScatter

### Input Parameters

| vscat | - The vector scatter object
| type | - The name of the vector scatter type

### Options Database Key

-vecscatter_type <type> -Sets the vector scatter type; use -help for a list of available types

### Notes

See "petsc/include/petscvec.h" for available vector scatter types (for instance, VECSCATTERMPI1, or VECSCATTERMPI3NODE).

Use VecScatterDuplicate() to form additional vectors scatter of the same type as an existing vector scatter.

### Keywords

vector scatter, set, type

### See Also

VecScatterGetType(), VecScatterCreate()

### Level

intermediate

### Location

src/vec/vscat/interface/vscreate.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages